#include "Kortexino.h"
#include "Robot.h"

// initialize Kortexino BLE communication class
Kortexino kortexino;

// initialize robot microcontroller
Robot robot;

void setup() 
{ 
  robot.start();
} 

void loop()
{ 
  //read data from the Kortexino app
  kortexino.read_data();
    
  if(kortexino.data_available)
  {
    if (kortexino.face_detected == true)
    {
      if (kortexino.yaw_to_bot > 1)
      {
        robot.turn_left(kortexino.yaw_to_bot*3);
      }
      else if (kortexino.yaw_to_bot < -1)
      {
        robot.turn_right(-kortexino.yaw_to_bot*3);
      }
      else
      {
        robot.stop_movement();
      }
    }
  }
}
